class DropArticlesTable < ActiveRecord::Migration[8.1]
  def up
    drop_table :articles
  end

  def down
    create_table :articles, id: :integer, charset: "utf8mb4", collation: "utf8mb4_0900_ai_ci" do |t|
      t.text :content
      t.timestamp :created_at, default: -> { "CURRENT_TIMESTAMP" }
      t.string :slug
      t.string :title
      t.timestamp :updated_at, default: -> { "CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP" }
    end
  end
end
